## ros-foxy-pointcloud-to-laserscan 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pointcloud_to_laserscan)

find_package(ament_cmake REQUIRED)

find_package(laser_geometry REQUIRED)
find_package(message_filters REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(tf2_sensor_msgs REQUIRED)

include_directories(include)

add_library(laserscan_to_pointcloud SHARED
  src/laserscan_to_pointcloud_node.cpp)
target_compile_definitions(laserscan_to_pointcloud
  PRIVATE "POINTCLOUD_TO_LASERSCAN_BUILDING_DLL")
ament_target_dependencies(laserscan_to_pointcloud
  "laser_geometry"
  "message_filters"
  "rclcpp"
  "rclcpp_components"
  "sensor_msgs"
  "tf2"
  "tf2_ros"
  "tf2_sensor_msgs"
)
rclcpp_components_register_node(laserscan_to_pointcloud
  PLUGIN "pointcloud_to_laserscan::LaserScanToPointCloudNode"
  EXECUTABLE laserscan_to_pointcloud_node)

add_library(pointcloud_to_laserscan SHARED
  src/pointcloud_to_laserscan_node.cpp)
target_compile_definitions(pointcloud_to_laserscan
  PRIVATE "POINTCLOUD_TO_LASERSCAN_BUILDING_DLL")
ament_target_dependencies(pointcloud_to_laserscan
  "laser_geometry"
  "message_filters"
  "rclcpp"
  "rclcpp_components"
  "sensor_msgs"
  "tf2"
  "tf2_ros"
  "tf2_sensor_msgs"
)
rclcpp_components_register_node(pointcloud_to_laserscan
  PLUGIN "pointcloud_to_laserscan::PointCloudToLaserScanNode"
  EXECUTABLE pointcloud_to_laserscan_node)

add_executable(dummy_pointcloud_publisher
  src/dummy_pointcloud_publisher.cpp
)
ament_target_dependencies(dummy_pointcloud_publisher
  "rclcpp"
  "sensor_msgs"
)

install(TARGETS
  laserscan_to_pointcloud
  pointcloud_to_laserscan
  RUNTIME DESTINATION lib
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib)

install(TARGETS
  dummy_pointcloud_publisher
  DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY include
  DESTINATION include
)

install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-pointcloud-to-laserscan (2.0.0-1focal) focal; urgency=high

  * ROS 2 Migration (#33 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/33>)
    * ROS 2 Migration
    Signed-off-by: Michel Hidalgo <mailto:michel@ekumenlabs.com>
  * Contributors: Michel Hidalgo

 -- Paul Bovbel <paul@bovbel.com>  Mon, 10 Feb 2020 00:00:00 -0000

ros-foxy-pointcloud-to-laserscan (1.4.1-1focal) focal; urgency=high

  * LaserScan to PointCloud node + nodelet (#28 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/28>)
  * fix roslint (#29 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/29>)
  * Merge pull request #20 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/20> from ros-perception/range_max_check
    Add check for range_max
  * Add check for range_max
  * Contributors: Paul Bovbel, Rein Appeldoorn

 -- Paul Bovbel <paul@bovbel.com>  Fri, 30 Aug 2019 00:00:00 -0000

ros-foxy-pointcloud-to-laserscan (1.4.0-1focal) focal; urgency=high

  * Added inf_epsilon parameter that determines the value added to max range when use_infs parameter is set to false
  * Merge pull request #11 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/11> from ros-perception/mikaelarguedas-patch-1
    update to use non deprecated pluginlib macro
  * Migrate to package format 2; add roslint
  * Add sane parameter defaults; fixup lint warnings
  * update to use non deprecated pluginlib macro
  * Contributors: Mikael Arguedas, Paul Bovbel, Prasanna Kannappan

 -- Paul Bovbel <paul@bovbel.com>  Tue, 14 Nov 2017 00:00:00 -0000

ros-foxy-pointcloud-to-laserscan (1.3.1-1focal) focal; urgency=high

  * Merge pull request #4 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/4> from yoshimalucky/fix-miscalculation-in-angle-increment
    Fixed miscalculation in angle_increment in the launch files.
  * fixed miscalculation in angle_increment in the launchfiles.
  * Contributors: Paul Bovbel, yoshimalucky

 -- Paul Bovbel <paul@bovbel.com>  Wed, 26 Apr 2017 00:00:00 -0000

ros-foxy-pointcloud-to-laserscan (1.3.0-1focal) focal; urgency=high

  * Fix pointcloud to laserscan transform tolerance issues
  * Move pointcloud_to_laserscan to new repository
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 09 Jun 2015 00:00:00 -0000

ros-foxy-pointcloud-to-laserscan (1.2.7-1focal) focal; urgency=high

  * Cleanup pointcloud_to_laserscan launch files
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 08 Jun 2015 00:00:00 -0000

ros-foxy-pointcloud-to-laserscan (1.2.6-1focal) focal; urgency=high

  * Fix default value for concurrency
  * Fix multithreaded lazy pub sub
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 04 Feb 2015 00:00:00 -0000

ros-foxy-pointcloud-to-laserscan (1.2.5-1focal) focal; urgency=high

  * Switch to tf_sensor_msgs for transform
  * Set parameters in sample launch files to default
  * Add tolerance parameter
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 20 Jan 2015 00:00:00 -0000

ros-foxy-pointcloud-to-laserscan (1.2.4-1focal) focal; urgency=high

  * Remove stray dependencies
  * Refactor with tf2 and message filters
  * Remove roslaunch check
  * Fix regressions
  * Refactor to allow debug messages from node and nodelet
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 15 Jan 2015 00:00:00 -0000

ros-foxy-pointcloud-to-laserscan (1.2.3-1focal) focal; urgency=high

  * add launch tests
  * refactor naming and fix nodelet export
  * set default target frame to empty
  * clean up package.xml
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 10 Jan 2015 00:00:00 -0000

ros-foxy-pointcloud-to-laserscan (1.2.2-1focal) focal; urgency=high

  * clean up package.xml
  * Fix header reference
  * Fix flow
  * Fix pointer assertion
  * Finalize pointcloud to laserscan
  * Initial pointcloud to laserscan commit
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 25 Oct 2014 00:00:00 -0000

=== debian/control ===
Source: ros-foxy-pointcloud-to-laserscan
Section: misc
Priority: optional
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-cppcheck, ros-foxy-ament-cmake-cpplint, ros-foxy-ament-cmake-flake8, ros-foxy-ament-cmake-lint-cmake, ros-foxy-ament-cmake-pep257, ros-foxy-ament-cmake-uncrustify, ros-foxy-ament-cmake-xmllint, ros-foxy-ament-lint-auto, ros-foxy-laser-geometry, ros-foxy-message-filters, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-tf2-sensor-msgs, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/perception_pcl
Standards-Version: 3.9.2

Package: ros-foxy-pointcloud-to-laserscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-laser-geometry, ros-foxy-launch, ros-foxy-launch-ros, ros-foxy-message-filters, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-tf2-sensor-msgs, ros-foxy-ros-workspace
Description: Converts a 3D Point Cloud into a 2D laser scan.
 This is useful for making devices like the Kinect appear like a laser scanner for 2D-based algorithms (e.g. laser-based SLAM).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-pointcloud-to-laserscan//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
